@echo off
setlocal enabledelayedexpansion
REM The batch file expands variables when commands are parsed, 
REM not when they are run. It so happens that an if or for statement 
REM with a block ( ... ) (or actually any block) counds as a single 
REM command in that case. So when you set variables inside a block 
REM and try using them in the same block there are no variables 
REM anymore – they were replaced by the values the variables had 
REM before the block even executed.
REM A setlocal enabledelayedexpansion is needed at the start of 
REM the batch file and need to use !var! instead of %var%. 
REM See help set for a detailed discussion of the problem.
set cert2=
set cert3=
if "%1"=="" (
   echo Enter name of ca file
   set /p cert1="file name? "
	echo Are there more files?
	set /p mycont="(Y/N) "
	if /I "!mycont!"=="Y" (
		echo Enter name of .pem file
		set /p cert2="file name? "
		echo Enter name of .key file
		set /p cert3="file name? "
	)
	echo Enter name of output file
	set /p out1="file name? "	
) ELSE (
	if "%3"=="" (
	set cert1=%1
	set out1=%2
	) ELSE (
	set cert1=%1
	set cert2=%2
	set cert3=%3
	set out1=%4
	)
)

echo ^^!PTX_SETUP	> !out1!
echo FILE_IO-CAPTURE;"cert1" >> !out1!
echo PTX_END	>> !out1!
type !cert1!	>> !out1!
echo ^^!PTX_SETUP	>> !out1!
echo FILE_IO-CAPTURE;"".	>> !out1!
echo PTX_END	>> !out1!
IF NOT "!cert2!"=="" (
	echo ^^!PTX_SETUP	>> !out1!
	echo FILE_IO-CAPTURE;"cert2"	>> !out1!
	echo PTX_END	>> !out1!
	type !cert2!	>> !out1!
	echo ^^!PTX_SETUP	>> !out1!
	echo FILE_IO-CAPTURE;"".	>> !out1!
	echo PTX_END	>> !out1!
	echo ^^!PTX_SETUP	>> !out1!
	echo FILE_IO-CAPTURE;"cert3"	>> !out1!
	echo PTX_END	>> !out1!
	type !cert3!	>> !out1!
	echo ^^!PTX_SETUP	>> !out1!
	echo FILE_IO-CAPTURE;"".	>> !out1!
	echo PTX_END	>> !out1!
)
echo ^^!PTX_SETUP	>> !out1!
echo NIC_CERTSET	>> !out1!
echo PTX_END	>> !out1!
echo done
